Subject: RE: bug#1562: 23.0.60; modify-frame-parameters in Emacs 23 for fonts

From: "Drew Adams" <[email-masked]>
Date: Wed, 14 Jan 2009 07:11:01 -0800

> > With this initial font parameter:
> >
> > (font . "-outline-Lucida
> > Console-normal-normal-normal-mono-14-*-*-*-c-*-iso8859-1")
> >
> > I call this:
> >
> > (modify-frame-parameters frame '((font . "-outline-Lucida
> > Console-normal-normal-normal-mono-6-*-*-*-c-*-iso8859-1")))
> >   
> 
> I found it necessary to make a further call to 
> modify-frame-parameters with a previously used font name
> before the bug will appear.
> 
> It seems that my previous fix only fixed things when 
> font-config style font names ("Lucida Console-11", "Lucida Console-8")
> were used. A similar fix was required in x-set-font to cover xlfd font 
> names as well. This surprises me, as the problem was only reproducible 
> on Windows, but this latter change was in generic code.
> 
> Thanks for checking.

Not sure if you're also saying that this is now fixed - I guess so. Thanks. I'll
check again when I get a newer build.